Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.util
Class NumberUtils

    java.lang.Object
      com.atlassian.bamboo.util.NumberUtils

    public class NumberUtils

extends Object

Constructor Summary
`NumberUtils()`

Method Summary
`static int` | `max(int a, int b)`
`static int` | `min(int a, int b)`
`static String` | `padWithZeroes(double value, int numberOfZeroes)`
`static String` | `padWithZeroes(int value, int numberOfZeroes)`
`static String` | `padWithZeroes(long value, int numberOfZeroes)`
`static double` | `round(double val, int places)`
`static float` | `round(float val, int places)`
`static double` | `stringToDouble(String s)`
`static int` | `stringToInt(String s)`
`static long` | `stringToLong(String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumberUtils

    public NumberUtils()

Method Detail

### min

    public static int min(int a,
                          int b)

### max

    public static int max(int a,
                          int b)

### round

    public static double round(double val,
                               int places)

### round

    public static float round(float val,
                              int places)

### padWithZeroes

    public static String padWithZeroes(double value,
                                       int numberOfZeroes)

### padWithZeroes

    public static String padWithZeroes(int value,
                                       int numberOfZeroes)

### padWithZeroes

    public static String padWithZeroes(long value,
                                       int numberOfZeroes)

### stringToDouble

    public static double stringToDouble(String s)

### stringToLong

    public static long stringToLong(String s)

### stringToInt

    public static int stringToInt(String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.